- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDNURBSTo1 Class Reference
Inheritance diagram for libvisio::VSDNURBSTo1:

## Public Member Functions
| VSDNURBSTo1 (unsigned id, unsigned level, double x2, double y2, unsigned char xType, unsigned char yType, unsigned degree, std::vector< std::pair< double, double > > controlPoints, std::vector< double > knotVector, std::vector< double > weights)
virtual | ~VSDNURBSTo1 ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x2
double | m_y2
unsigned | m_xType
unsigned | m_yType
unsigned | m_degree
std::vector< std::pair< double, double > > | m_controlPoints
std::vector< double > | m_knotVector
std::vector< double > | m_weights

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDNURBSTo1::VSDNURBSTo1 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | std::vector< std::pair< double, double > > | controlPoints,
|  | std::vector< double > | knotVector,
|  | std::vector< double > | weights
| ) |  |
| inline

virtual libvisio::VSDNURBSTo1::~VSDNURBSTo1 | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDNURBSTo1::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDNURBSTo1::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

std::vector<std::pair<double, double> > libvisio::VSDNURBSTo1::m_controlPoints

unsigned libvisio::VSDNURBSTo1::m_degree

std::vector<double> libvisio::VSDNURBSTo1::m_knotVector

std::vector<double> libvisio::VSDNURBSTo1::m_weights

double libvisio::VSDNURBSTo1::m_x2

unsigned libvisio::VSDNURBSTo1::m_xType

double libvisio::VSDNURBSTo1::m_y2

unsigned libvisio::VSDNURBSTo1::m_yType

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp